Umlauts problem with username and attachments in outlook



  • Hello,

    we’re facing a problem on our Kopano Server related to german Umlauts (Umlaute).

    We have a user named “BlaaßA” and until version 8.6.9.0 all mails for that user were processed normaly to his inbox. But as we upgraded to version 8.7.3.0 (as you can see in our dpkg.log), the dagent log says “failed to resolve recipient”

    That Username is BlaaßA and the mail adress is “a.blaass@”, so we could solve this by renaming the username to blaassA. This is strange… it will be a problem on larger installations with Umlauts in the username.

    Another problem is related to the attachments. If a user from the same kopano server sends a message to another user with Umlauts in the attachment name, all outlook active sync users gets the mail with “unbenannte Anlage” or “unnamed/untitled attachment”. When you delete the mail and you look in the trash folder, you can see the right attachment name with Umlauts. All users with Webapp don’t have any problems.

    So - what can we do to analyse the problem?

    Thank you in advance!

    A.Rossa

    dagent.log
    Tue Jun 25 09:30:02 2019: [ 1062] [error  ] Failed to resolve recipient BlaaßA (0)
    Tue Jun 25 09:30:02 2019: [ 1062] [error  ] HRESULT deliver_recipient(pym_plugin_intf*, const char*, bool, FILE*, DeliveryArgs*): ResolveUser failed: not found (8004010f)
    Tue Jun 25 09:30:02 2019: [ 1062] [error  ] HRESULT direct_delivery(int, char**, DeliveryArgs&&, FILE*, bool): deliver_recipient failed: not found (8004010f)```
    
    dpkg.log
    2019-06-19 11:46:00 upgrade bash:amd64 4.3-14ubuntu1.2 4.3-14ubuntu1.3
    2019-06-19 11:46:00 upgrade bsdutils:amd64 1:2.27.1-6ubuntu3.6 1:2.27.1-6ubuntu3.7
    2019-06-19 11:46:01 upgrade login:amd64 1:4.2-3.1ubuntu5.3 1:4.2-3.1ubuntu5.4
    2019-06-19 11:46:01 upgrade util-linux:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:02 upgrade mount:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:03 upgrade libapt-pkg5.0:amd64 1.2.31 1.2.32
    2019-06-19 11:46:03 upgrade libapt-inst2.0:amd64 1.2.31 1.2.32
    2019-06-19 11:46:03 upgrade apt:amd64 1.2.31 1.2.32
    2019-06-19 11:46:04 upgrade apt-utils:amd64 1.2.31 1.2.32
    2019-06-19 11:46:04 upgrade debconf-i18n:all 1.5.58ubuntu1 1.5.58ubuntu2
    2019-06-19 11:46:04 upgrade debconf:all 1.5.58ubuntu1 1.5.58ubuntu2
    2019-06-19 11:46:05 upgrade passwd:amd64 1:4.2-3.1ubuntu5.3 1:4.2-3.1ubuntu5.4
    2019-06-19 11:46:06 upgrade uuid-runtime:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:06 upgrade grub-pc:amd64 2.02~beta2-36ubuntu3.20 2.02~beta2-36ubuntu3.22
    2019-06-19 11:46:06 upgrade grub-pc-bin:amd64 2.02~beta2-36ubuntu3.20 2.02~beta2-36ubuntu3.22
    2019-06-19 11:46:06 upgrade grub2-common:amd64 2.02~beta2-36ubuntu3.20 2.02~beta2-36ubuntu3.22
    2019-06-19 11:46:06 upgrade grub-common:amd64 2.02~beta2-36ubuntu3.20 2.02~beta2-36ubuntu3.22
    2019-06-19 11:46:06 upgrade ubuntu-core-launcher:amd64 2.37.4ubuntu0.1 2.38
    2019-06-19 11:46:06 upgrade snapd:amd64 2.37.4ubuntu0.1 2.38
    2019-06-19 11:46:08 upgrade snap-confine:amd64 2.37.4ubuntu0.1 2.38
    2019-06-19 11:46:08 upgrade webmin:all 1.900 1.910
    2019-06-19 11:46:12 upgrade libuuid1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:12 upgrade libblkid1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:13 upgrade libfdisk1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:13 upgrade libmount1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:13 upgrade libsmartcols1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:13 upgrade console-setup-linux:all 1.108ubuntu15.4 1.108ubuntu15.5
    2019-06-19 11:46:13 upgrade console-setup:all 1.108ubuntu15.4 1.108ubuntu15.5
    2019-06-19 11:46:13 upgrade keyboard-configuration:all 1.108ubuntu15.4 1.108ubuntu15.5
    2019-06-19 11:46:14 upgrade iproute2:amd64 4.3.0-1ubuntu3.16.04.4 4.3.0-1ubuntu3.16.04.5
    2019-06-19 11:46:14 upgrade resolvconf:all 1.78ubuntu6 1.78ubuntu7
    2019-06-19 11:46:14 upgrade rsyslog:amd64 8.16.0-1ubuntu3 8.16.0-1ubuntu3.1
    2019-06-19 11:46:14 upgrade ureadahead:amd64 0.100.0-19 0.100.0-19.1
    2019-06-19 11:46:14 upgrade apt-transport-https:amd64 1.2.31 1.2.32
    2019-06-19 11:46:14 upgrade ldap-utils:amd64 2.4.42+dfsg-2ubuntu3.4 2.4.42+dfsg-2ubuntu3.5
    2019-06-19 11:46:14 upgrade libldap-2.4-2:amd64 2.4.42+dfsg-2ubuntu3.4 2.4.42+dfsg-2ubuntu3.5
    2019-06-19 11:46:14 upgrade lshw:amd64 02.17-1.1ubuntu3.5 02.17-1.1ubuntu3.6
    2019-06-19 11:46:14 upgrade python-apt-common:all 1.1.0~beta1ubuntu0.16.04.2 1.1.0~beta1ubuntu0.16.04.5
    2019-06-19 11:46:14 upgrade python3-apt:amd64 1.1.0~beta1ubuntu0.16.04.2 1.1.0~beta1ubuntu0.16.04.5
    2019-06-19 11:46:14 upgrade ubuntu-standard:amd64 1.361.2 1.361.3
    2019-06-19 11:46:06 upgrade uuid-runtime:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:06 upgrade grub-pc:amd64 2.02~beta2-36ubuntu3.20 2.02~beta2-36ubuntu3.22
    2019-06-19 11:46:06 upgrade grub-pc-bin:amd64 2.02~beta2-36ubuntu3.20 2.02~beta2-36ubuntu3.22
    2019-06-19 11:46:06 upgrade grub2-common:amd64 2.02~beta2-36ubuntu3.20 2.02~beta2-36ubuntu3.22
    2019-06-19 11:46:06 upgrade grub-common:amd64 2.02~beta2-36ubuntu3.20 2.02~beta2-36ubuntu3.22
    2019-06-19 11:46:06 upgrade ubuntu-core-launcher:amd64 2.37.4ubuntu0.1 2.38
    2019-06-19 11:46:06 upgrade snapd:amd64 2.37.4ubuntu0.1 2.38
    2019-06-19 11:46:08 upgrade snap-confine:amd64 2.37.4ubuntu0.1 2.38
    2019-06-19 11:46:08 upgrade webmin:all 1.900 1.910
    2019-06-19 11:46:12 upgrade libuuid1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:12 upgrade libblkid1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:13 upgrade libfdisk1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:13 upgrade libmount1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:13 upgrade libsmartcols1:amd64 2.27.1-6ubuntu3.6 2.27.1-6ubuntu3.7
    2019-06-19 11:46:13 upgrade console-setup-linux:all 1.108ubuntu15.4 1.108ubuntu15.5
    2019-06-19 11:46:13 upgrade console-setup:all 1.108ubuntu15.4 1.108ubuntu15.5
    2019-06-19 11:46:13 upgrade keyboard-configuration:all 1.108ubuntu15.4 1.108ubuntu15.5
    2019-06-19 11:46:14 upgrade iproute2:amd64 4.3.0-1ubuntu3.16.04.4 4.3.0-1ubuntu3.16.04.5
    2019-06-19 11:46:14 upgrade resolvconf:all 1.78ubuntu6 1.78ubuntu7
    2019-06-19 11:46:14 upgrade rsyslog:amd64 8.16.0-1ubuntu3 8.16.0-1ubuntu3.1
    2019-06-19 11:46:14 upgrade ureadahead:amd64 0.100.0-19 0.100.0-19.1
    2019-06-19 11:46:14 upgrade apt-transport-https:amd64 1.2.31 1.2.32
    2019-06-19 11:46:14 upgrade ldap-utils:amd64 2.4.42+dfsg-2ubuntu3.4 2.4.42+dfsg-2ubuntu3.5
    2019-06-19 11:46:14 upgrade libldap-2.4-2:amd64 2.4.42+dfsg-2ubuntu3.4 2.4.42+dfsg-2ubuntu3.5
    2019-06-19 11:46:14 upgrade lshw:amd64 02.17-1.1ubuntu3.5 02.17-1.1ubuntu3.6
    2019-06-19 11:46:14 upgrade python-apt-common:all 1.1.0~beta1ubuntu0.16.04.2 1.1.0~beta1ubuntu0.16.04.5
    2019-06-19 11:46:14 upgrade python3-apt:amd64 1.1.0~beta1ubuntu0.16.04.2 1.1.0~beta1ubuntu0.16.04.5
    2019-06-19 11:46:14 upgrade ubuntu-standard:amd64 1.361.2 1.361.3
    2019-06-19 11:46:14 upgrade kopano-lang:all 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 11:46:14 upgrade kopano-webapp:all 3.5.3.2209+89.1 3.5.6.2298+94.1
    2019-06-19 11:46:15 upgrade kopano-webapp-plugin-desktopnotifications:all 2.0.2.23+28.3 2.0.2.23+28.5
    2019-06-19 11:46:15 upgrade kopano-webapp-plugin-filepreviewer:all 2.1.0.26+20.4 2.1.0.26+20.6
    2019-06-19 11:46:15 upgrade kopano-webapp-plugin-spell:all 2.0.0.19+37.3 2.0.0.19+37.5
    2019-06-19 11:46:15 upgrade kopano-webapp-plugin-spell-de-de:all 2.0.0.3+34.3 2.0.0.3+34.4
    2019-06-19 11:46:16 upgrade kopano-webapp-plugin-webappmanual:all 3.5.3.2209+89.1 3.5.6.2298+94.1
    2019-06-19 11:46:16 upgrade libcups2:amd64 2.1.3-4ubuntu0.7 2.1.3-4ubuntu0.9
    2019-06-19 11:46:16 upgrade libmapi1:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 11:46:16 upgrade libkcarchiver0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 11:46:16 upgrade libkcarchivercore0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 11:46:16 upgrade libkcfreebusy0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 11:46:16 upgrade libkcicalmapi0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 11:46:16 upgrade libkcrosie0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 11:46:16 upgrade liblxc1:amd64 2.0.8-0ubuntu1~16.04.2 2.0.11-0ubuntu1~16.04.3
    2019-06-19 11:46:16 upgrade lxc-common:amd64 2.0.8-0ubuntu1~16.04.2 2.0.11-0ubuntu1~16.04.3
    2019-06-19 11:46:16 upgrade python-kopano:all 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 11:46:16 upgrade grub-legacy-ec2:all 18.5-45-g3554ffe8-0ubuntu1~16.04.1 19.1-1-gbaa47854-0ubuntu1~16.04.1
    2019-06-19 11:46:16 upgrade ubuntu-server:amd64 1.361.2 1.361.3
    2019-06-19 11:46:16 upgrade uidmap:amd64 1:4.2-3.1ubuntu5.3 1:4.2-3.1ubuntu5.4
    2019-06-19 11:46:16 upgrade unattended-upgrades:all 0.90ubuntu0.10 1.1ubuntu1.18.04.7~16.04.3
    2019-06-19 11:46:17 upgrade z-push-config-apache:all 2.4.5+0-0 2.5.0+0-0
    2019-06-19 11:46:17 upgrade z-push-kopano:all 2.4.5+0-0 2.5.0+0-0
    2019-06-19 11:46:17 upgrade z-push-backend-kopano:all 2.4.5+0-0 2.5.0+0-0
    2019-06-19 11:46:17 upgrade z-push-ipc-sharedmemory:all 2.4.5+0-0 2.5.0+0-0
    2019-06-19 11:46:17 upgrade z-push-backend-galsearch-ldap:all 2.4.5+0-0 2.5.0+0-0
    2019-06-19 11:46:17 upgrade z-push-common:all 2.4.5+0-0 2.5.0+0-0
    2019-06-19 11:46:17 upgrade z-push-kopano-gabsync:all 2.4.5+0-0 2.5.0+0-0
    2019-06-19 12:28:03 upgrade libdrm2:amd64 2.4.76-1~ubuntu16.04.1 2.4.91-2~16.04.1
    2019-06-19 12:28:04 upgrade python3-requests:all 2.9.1-3ubuntu0.1 2.18.1-1+ubuntu16.04.1+certbot+1
    2019-06-19 12:28:04 upgrade python3-urllib3:all 1.13.1-2ubuntu0.16.04.3 1.21.1-1+ubuntu16.04.1+certbot+1
    2019-06-19 12:28:04 upgrade python-certbot-apache:all 0.19.0-1+ubuntu16.04.1+certbot+1 0.31.0-1+ubuntu16.04.1+certbot+1
    2019-06-19 12:28:05 upgrade certbot:all 0.19.0-1+ubuntu16.04.1+certbot+1 0.31.0-1+ubuntu16.04.1+certbot+1
    2019-06-19 12:28:05 upgrade libkcutil0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade libkcinetmapi0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade kopano-server-packages:all 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade kopano-utils:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade kopano-monitor:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade kopano-dagent:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade php7-mapi:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade kopano-contacts:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade python3-mapi:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade kopano-spooler:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:05 upgrade kopano-gateway:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:06 upgrade python-mapi:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:06 upgrade libkcsoap0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:06 upgrade kopano-ical:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:06 upgrade kopano-client:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:06 upgrade kopano-server:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:06 upgrade kopano-common:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:06 upgrade python3-kopano:all 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:06 upgrade kopano-search:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:07 upgrade libkcserver0:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:07 upgrade kopano-backup:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    2019-06-19 12:28:07 upgrade kopano-presence:amd64 8.6.9.0-0+24.1 8.7.3.0-0+3.1
    
    

  • Kopano

    Hi @Alexander74 ,

    could you open a case with out support so this can be looked into? Thanks.



  • Hey Folks
    I can confirm the problem with the umlauts in Outlook attachments.
    Example Mail

    Ever since years this problem has been showing up with 1 out of 10 Kopano software updates on our mailserver. It started with Zarafa 5 as we become part of the Zarafa family and it is still present today with Kopano 8.7.3
    Luckily it gets fixed within a few days, however it is becoming really really frustrating over the time.


Log in to reply